import path from 'path'

import { Module } from '@nestjs/common'
import { ConfigModule } from '@nestjs/config'

import { BailianModule } from '@/module/bailian/bailian.module'
import { SqlAgentModule } from '@/module/sql-agent/sql-agent.module'
import { TencentCloudModule } from '@/module/tencent-cloud/tencent-cloud.module'

@Module({
  imports: [
    ConfigModule.forRoot({
      isGlobal: true,
      envFilePath: path.resolve(__dirname, '../.env')
    }),
    SqlAgentModule,
    TencentCloudModule,
    BailianModule
  ]
})
export class AppModule {}
