import { Injectable } from '@nestjs/common'
import { ConfigService } from '@nestjs/config'
import OpenAI from 'openai'

@Injectable()
export class BailianService {
  openai
  constructor(private readonly configService: ConfigService) {
    this.openai = this.createOpenAI()
  }

  createOpenAI() {
    return new OpenAI({
      apiKey: this.configService.get<string>('DASHSCOPE_API_KEY'),
      baseURL: 'https://dashscope.aliyuncs.com/compatible-mode/v1'
    })
  }

  async chat(chat: string) {
    return await this.chatWithOpenAI(chat)
  }

  async chatWithOpenAI(chat: string) {
    console.log('开始聊天')
    const completion = await this.openai.chat.completions.create({
      model: 'qwen-plus',
      messages: [{ role: 'user', content: chat }]
    })
    console.log('聊天结束')
    return completion.choices[0].message.content
  }
}
